Subject: Re: bug#12471: Avoid some signal-handling races, and simplify.

From: Stefan Monnier <[email-masked]>
Date: Sat, 22 Sep 2012 16:28:26 -0400

> But for existing library functions, the only sane way to replace them
> is to have the replacement support all the features supported by the
> function being replaced.

Agreed.  Maybe a better solution is to use `emacs_raise' which can then
either use `raise' (on POSIX hosts) or something else (on Windows
hosts).

        Stefan